ZooKeeperServerMain (Apache ZooKeeper - Server 3.7.0 API)
Date: 2021-03-17

org.apache.zookeeper.server

## Class ZooKeeperServerMain

- java.lang.Object
- - org.apache.zookeeper.server.ZooKeeperServerMain

-     @InterfaceAudience.Public
      public class ZooKeeperServerMain
      extends Object

  This class starts and runs a standalone ZooKeeperServer.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ZooKeeperServerMain()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Shutdowns properly the service, this method is not a public API.
    `protected void` | `initializeAndRun(String[] args)`
    `static void` | `main(String[] args)`
    `void` | `runFromConfig(ServerConfig config)` Run from a ServerConfig.
    `protected void` | `shutdown()` Shutdown the serving instance

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ZooKeeperServerMain

          public ZooKeeperServerMain()

  - ### Method Detail

    - #### main

          public static void main(String[] args)

    - #### initializeAndRun

          protected void initializeAndRun(String[] args)
                                   throws QuorumPeerConfig.ConfigException,
                                          IOException,
                                          AdminServer.AdminServerException

      Throws:
        `QuorumPeerConfig.ConfigException`
        `IOException`
        `AdminServer.AdminServerException`

    - #### runFromConfig

          public void runFromConfig(ServerConfig config)
                             throws IOException,
                                    AdminServer.AdminServerException

      Run from a ServerConfig.
      Parameters:
        `config` - ServerConfig to use.
      Throws:
        `IOException`
        `AdminServer.AdminServerException`

    - #### shutdown

          protected void shutdown()

      Shutdown the serving instance

    - #### close

          public void close()

      Shutdowns properly the service, this method is not a public API.

Copyright © 2008–2021 The Apache Software Foundation. All rights reserved.